package cn.com.taiji.beidou.ship.archives.service.impl;

import cn.com.taiji.beidou.ship.archives.domain.ShipArchivesData;
import cn.com.taiji.beidou.ship.archives.domain.ShipArchivesREQ;
import cn.com.taiji.beidou.ship.archives.mapper.ShipArchivesMapper;
import cn.com.taiji.beidou.ship.archives.service.ShipArchivesService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/9 9:45
 */
@Service
public class ShipArchivesServiceImpl implements ShipArchivesService {

    @Resource
    private ShipArchivesMapper shipArchivesMapper;

    @Override
    public List<ShipArchivesData> findShipList(ShipArchivesREQ req) {
        List<ShipArchivesData> list = shipArchivesMapper.selectShipArchivesList(req);
        return list;
    }

    @Override
    public ShipArchivesData findShipById(String shipId) {
        return shipArchivesMapper.selectById(shipId);
    }
}
