package cn.com.taiji.beidou.ship.focus.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;


/**
 * @Author CHEN
 * @Date 2022/11/9 18:58
 */
@Data
public class FocusShipResult {

    private Integer focusId;
    private String userId;

    @JsonFormat(shape =JsonFormat.Shape.STRING,pattern ="yyyy-MM-dd HH:mm:ss",timezone ="GMT+8")
    private Date focusCreate;
    /**
     * 船舶id 如：儋0602365
     */
    private String shipId;
    /**
     * 北斗设备号
     */
    private String devideNo;
    /**
     * 船舶类型
     */
    private String shipType;
    /**
     * 作业类型
     */
    private String jobType;
    /**
     * 作业方式
     */
    private String jobWay;
    /**
     * 船主
     */
    private String ownerName;
    /**
     * 船主电话
     */
    private String ownerTelNo;
    /**
     * 船长
     */
    private double shipLength;
    /**
     * 船宽
     */
    private double shipWidth;
    /**
     * 船舶材质
     */
    private String shipMaterial;
    /**
     * 所属管理单位
     */
    private String policeStationId;
    /**
     * 船主单位
     */
    private String ownerCompany;
    /**
     * 创建时间
     */
    private long createTime;
    /**
     * 修改时间
     */
    private long modifyTime;
    /**
     * 船主类型
     */
    private String ownerType;
}
