package cn.com.taiji.beidou.ship.focus.service.impl;

import cn.com.taiji.beidou.ship.focus.domain.FocusShipData;
import cn.com.taiji.beidou.ship.focus.domain.FocusShipResult;
import cn.com.taiji.beidou.ship.focus.mapper.FocusShipMapper;
import cn.com.taiji.beidou.ship.focus.service.FocusShipService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/9 18:13
 */
@Service
public class FocusShipServiceImpl implements FocusShipService {

    @Resource
    private FocusShipMapper focusShipMapper;

    @Override
    public int insertFocusShip(FocusShipData focusShipData) {
        return focusShipMapper.insertFocusShip(focusShipData);
    }

    @Override
    public int deleteFocusShip(Integer focusId) {
        return focusShipMapper.deleteFocusShip(focusId);
    }

    @Override
    public FocusShipResult selectById(Integer focusId) {
        return focusShipMapper.selectById(focusId);
    }

    @Override
    public List<FocusShipResult> selectList() {
        return focusShipMapper.selectList();
    }
}
