package cn.com.taiji.beidou.ship.focus.mapper;

import cn.com.taiji.beidou.ship.focus.domain.FocusShipData;
import cn.com.taiji.beidou.ship.focus.domain.FocusShipResult;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/9 18:03
 */
@Mapper
public interface FocusShipMapper {

    int insertFocusShip(FocusShipData focusShipData);

    /**
     * 移除关注船舶
     * @param focusId
     * @return
     */
    int deleteFocusShip(Integer focusId);

    /**
     * 获取详情
     * @param focusId
     * @return
     */
    FocusShipResult selectById(Integer focusId);

    /**
     * 列表
     * @return
     */
    List<FocusShipResult> selectList();
}
